
Foreman - Bug #24217

Support shell script cloud-init format for oVirt

07/10/2018 10:18 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link: 1481315 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5806

  

Description

When the cloud-init script starts with `#!/usr/bin/bash`, the script is not sent as user-data to the oVirt.

The shell script is a valid cloud-init format (https://cloudinit.readthedocs.io/en/latest/topics/format.html)

and even our default user-script is in the shell format.

Related issues:

Related to Foreman - Feature #20590: Full cloud-init support with ovirt provider Closed 08/14/2017

Associated revisions

Revision 0385aedf - 07/13/2018 08:42 AM - Ivan Necas

Fixes #24217 - accept shell script for cloud-init in oVirt

Our default user_data template uses shell format for cloud-init: we

should be able to use it for oVirt as well, especially after #24217

has been fixed.

History

#1 - 07/10/2018 10:26 AM - Ivan Necas

- Related to Feature #20590: Full cloud-init support with ovirt provider added

#2 - 07/10/2018 10:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5806 added

#3 - 07/13/2018 09:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0385aedfb48dc32756d21e7143ae1ea57d31078c.

#4 - 08/29/2018 03:13 PM - Tomer Brisker

- Fixed in Releases 1.19.0 added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 1/1

https://cloudinit.readthedocs.io/en/latest/topics/format.html
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0385aedfb48dc32756d21e7143ae1ea57d31078c
http://www.tcpdf.org

